import { OnInit } from "@angular/core";
import { StiColumnItem } from "../../../elements/table/StiColumnItem";
import { StiFormElement } from "../../../elements/base/StiFormElement";
import { StiModelService } from "../../../services/model.service";
export declare class StiTableColumnComponent implements OnInit {
    private model;
    column: StiColumnItem;
    index: number;
    element: StiFormElement;
    getColumnAlignment(column: any): string;
    changeState(column: any, i: any): void;
    constructor(model: StiModelService);
    ngOnInit(): void;
}
